首页 » share » 正文

编译git2.19

最近使用了coding.net托管代码,服务器上的git版本是1.7.1的,导致git clone时报错:

error: The requested URL returned error: 400 Bad Request while accessing https://git.coding.net/user/project.git/info/refsfatal: HTTP request failed

查了下,原因是git版本太旧,不支持。所以下载了目前最新的版本开始编译。

下载git

安装依赖

CentOS

Debian

解包

生成 configure 文件

开始编译

这里遇到一个问题,如果不指定–prefix 之后会自动将生成的二进制文件放到 /usr/local/bin里,如果用root用户安装,会在/root目录下创建一个bin/ 文件夹,然后将 二进制文件放到 /root/bin/ 目录下

安装

参考资料

发表评论

正在加载验证码......

请先完成验证